use "C:\Users\BAR3357\Projects\R Projects\who-reacts-why\data\cleaned.dta", clear

gen baseD = 0
replace baseD = 1 if baseContribution > 35


**** Do the below SEM twice again with
**** 1. changescore ~ Rec vs Def (rec as base)
**** 2. adchangepredCon ~ MMC vs Def (MMC as base) if Interventiontype != "Rec"
**** Describe accordingly in Manuscript


**** SEM ****
use "C:\Users\BAR3357\Projects\R Projects\who-reacts-why\data\dfstata.dta", replace

*** Baseline SEMs ***
sem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
estat teffect

quietly sem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
nlcom [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]
nlcom [AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]
nlcom [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]

sem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
estat teffect

quietly sem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
nlcom [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
nlcom [AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
nlcom [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
nlcom [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
nlcom [AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]
nlcom [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]


**** Compute bias-corrected confidence intervals with bootstrap ****
capture program drop bootmm
program bootmm, rclass
  sem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
  return scalar indThreat  = [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]
  return scalar indAnger = [AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]
  return scalar indtotal = [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]
end

bootstrap r(indThreat) r(indAnger) r(indtotal), reps(10000): bootmm

estat boot, percentile bc


capture program drop bootmm
program bootmm, rclass
  sem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
  return scalar indThreatRec  = [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
  return scalar indAngerRec = [AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indtotalRec = [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indThreatRes  = [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
  return scalar indAngerRes = [AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indtotalRes = [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]
end

bootstrap r(indThreatRec) r(indAngerRec) r(indtotalRec) r(indThreatRes) r(indAngerRes) r(indtotalRes), reps(10000): bootmm

estat boot, percentile bc

*** Robustness checks including covariates ***
* only notEffectiveD and Reactance
sem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) (ReactanceAFBS -> changeScore, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (notEffectiveD -> changeScore, ) (notEffectiveD -> ThreatToFreedomAFBS, ) (notEffectiveD -> AngerAFBS, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
eststo r1
estat teffect


capture program drop bootmm
program bootmm, rclass
  sem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) (ReactanceAFBS -> changeScore, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (notEffectiveD -> changeScore, ) (notEffectiveD -> ThreatToFreedomAFBS, ) (notEffectiveD -> AngerAFBS, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
  return scalar indThreat  = [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]
  return scalar indAnger = [AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]
  return scalar indtotal = [ThreatToFreedomAFBS]_b[RecInt]*[changeScore]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecInt]*[changeScore]_b[AngerAFBS]
end

bootstrap r(indThreat) r(indAnger) r(indtotal), reps(10000): bootmm

estat boot, percentile bc


sem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ReactanceAFBS -> adjchangepredCon, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (notEffectiveD -> adjchangepredCon, ) (notEffectiveD -> ThreatToFreedomAFBS, ) (notEffectiveD -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
eststo r2
estat teffect


capture program drop bootmm
program bootmm, rclass
  sem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ReactanceAFBS -> adjchangepredCon, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (notEffectiveD -> adjchangepredCon, ) (notEffectiveD -> ThreatToFreedomAFBS, ) (notEffectiveD -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
  return scalar indThreatRec  = [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
  return scalar indAngerRec = [AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indtotalRec = [ThreatToFreedomAFBS]_b[RecIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[RecIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indThreatRes  = [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]
  return scalar indAngerRes = [AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]
  return scalar indtotalRes = [ThreatToFreedomAFBS]_b[ResIntA]*[adjchangepredCon]_b[ThreatToFreedomAFBS]+[AngerAFBS]_b[ResIntA]*[adjchangepredCon]_b[AngerAFBS]
end

bootstrap r(indThreatRec) r(indAngerRec) r(indtotalRec) r(indThreatRes) r(indAngerRes) r(indtotalRes), reps(10000): bootmm

estat boot, percentile bc

gsem (ThreatToFreedomAFBS -> changeScore, ) (RecInt -> changeScore, ) (RecInt -> ThreatToFreedomAFBS, ) (RecInt -> AngerAFBS, ) (Rec -> changeScore, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (base35 -> changeScore, ) (base35 -> ThreatToFreedomAFBS, ) (base35 -> AngerAFBS, ) (AngerAFBS -> changeScore, ) (ReactanceAFBS -> changeScore, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (NEPAFBS -> changeScore, ) (NEPAFBS -> ThreatToFreedomAFBS, ) (NEPAFBS -> AngerAFBS, ) (i.notEffectiveD -> changeScore, ) (i.notEffectiveD -> ThreatToFreedomAFBS, ) (i.notEffectiveD -> AngerAFBS, ) (i.PO -> changeScore, ) (i.PO -> ThreatToFreedomAFBS, ) (i.PO -> AngerAFBS, ) (age_S2 -> changeScore, ) (age_S2 -> ThreatToFreedomAFBS, ) (age_S2 -> AngerAFBS, ) (i.gender_S2 -> changeScore, ) (i.gender_S2 -> ThreatToFreedomAFBS, ) (i.gender_S2 -> AngerAFBS, ) (i.education_S2 -> changeScore, ) (i.education_S2 -> ThreatToFreedomAFBS, ) (i.education_S2 -> AngerAFBS, ) if Interventiontype != 4, vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
eststo r3


gsem (ThreatToFreedomAFBS -> adjchangepredCon, ) (RecIntA -> adjchangepredCon, ) (RecIntA -> ThreatToFreedomAFBS, ) (RecIntA -> AngerAFBS, ) (Rec -> adjchangepredCon, ) (Rec -> ThreatToFreedomAFBS, ) (Rec -> AngerAFBS, ) (pred35 -> adjchangepredCon, ) (pred35 -> ThreatToFreedomAFBS, ) (pred35 -> AngerAFBS, ) (AngerAFBS -> adjchangepredCon, ) (Res -> adjchangepredCon, ) (Res -> ThreatToFreedomAFBS, ) (Res -> AngerAFBS, ) (ResIntA -> adjchangepredCon, ) (ResIntA -> ThreatToFreedomAFBS, ) (ResIntA -> AngerAFBS, ) (ReactanceAFBS -> adjchangepredCon, ) (ReactanceAFBS -> ThreatToFreedomAFBS, ) (ReactanceAFBS -> AngerAFBS, ) (NEPAFBS -> adjchangepredCon, ) (NEPAFBS -> ThreatToFreedomAFBS, ) (NEPAFBS -> AngerAFBS, ) (i.notEffectiveD -> adjchangepredCon, ) (i.notEffectiveD -> ThreatToFreedomAFBS, ) (i.notEffectiveD -> AngerAFBS, ) (i.PO -> adjchangepredCon, ) (i.PO -> ThreatToFreedomAFBS, ) (i.PO -> AngerAFBS, ) (age_S2 -> adjchangepredCon, ) (age_S2 -> ThreatToFreedomAFBS, ) (age_S2 -> AngerAFBS, ) (i.gender_S2 -> adjchangepredCon, ) (i.gender_S2 -> ThreatToFreedomAFBS, ) (i.gender_S2 -> AngerAFBS, ) (i.education_S2 -> adjchangepredCon, ) (i.education_S2 -> ThreatToFreedomAFBS, ) (i.education_S2 -> AngerAFBS, ), vce(robust) cov( e.AngerAFBS*e.ThreatToFreedomAFBS) nocapslatent
eststo r4

esttab r1 r2 r3 r4
